edu.northwestern.at.utils

## Class ListFactory

- java.lang.Object
- - edu.northwestern.at.utils.ListFactory

-     public class ListFactory
      extends java.lang.Object

  Factory for creating ArrayLists.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ListFactory()` Don't allow instantiation, do allow overrides.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <E> java.util.List<E>` | `createNewList()` Create a new ArrayList.
    `static <E> java.util.List<E>` | `createNewList(java.util.Collection<E> collection)` Create a new ArrayList from a collection.
    `static <E> java.util.List<E>` | `createNewList(int nSize)` Create a new ArrayList of a specified size.
    `static <E> java.util.List<E>` | `createNewSortedList(java.util.Collection<E> collection)` Create a new sorted list from a collection.
    `static <E> java.util.List<E>` | `createNewSortedList(int nSize)` Create a new sorted list of a specified size.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListFactory

          protected ListFactory()

      Don't allow instantiation, do allow overrides.

  - ### Method Detail

    - #### createNewList

          public static <E> java.util.List<E> createNewList()

      Create a new ArrayList.

    - #### createNewList

          public static <E> java.util.List<E> createNewList(int nSize)

      Create a new ArrayList of a specified size.
      Parameters:
        `nSize` - Size of array list to create.

    - #### createNewList

          public static <E> java.util.List<E> createNewList(java.util.Collection<E> collection)

      Create a new ArrayList from a collection.
      Parameters:
        `collection` - Collection from which to create list.

    - #### createNewSortedList

          public static <E> java.util.List<E> createNewSortedList(int nSize)

      Create a new sorted list of a specified size.
      Parameters:
        `nSize` - Size of array list to create.

    - #### createNewSortedList

          public static <E> java.util.List<E> createNewSortedList(java.util.Collection<E> collection)

      Create a new sorted list from a collection.
      Parameters:
        `collection` - Collection from which to create list.